# Interface UseDeepSubscriptionResult<LL>

interface UseDeepSubscriptionResult<LL> {
data?: LL[];
error?: any;
loading: boolean;
query?: Exp<"links">;
}

#### Type Parameters

- LL = Link<Id>

- Defined in work/deeplinks/deeplinks/imports/client.tsx:2792

#####
Index

### Properties

data?
error?
loading
query?

##
Properties

### `Optional` data

data?: LL[]

- Defined in work/deeplinks/deeplinks/imports/client.tsx:2793

### `Optional` error

error?: any

- Defined in work/deeplinks/deeplinks/imports/client.tsx:2794

### loading

loading: boolean

- Defined in work/deeplinks/deeplinks/imports/client.tsx:2795

### `Optional` query

query?: Exp<"links">

- Defined in work/deeplinks/deeplinks/imports/client.tsx:2796